<?php

require '../system/start.php';
require '../system/functions.php';
reg();
if(isset($_POST['tid']) && !empty($_POST['tid']))
{
    $tid = int($_POST['tid']);
}
else
{
    $tid = int($_GET['id']);
}
$query = mysql_fetch_assoc(mysql_query("select * from `forum_topics` where `id` = ".$tid.""));
$q = mysql_fetch_assoc(mysql_query("select * from `forum_forums` where `id` = ".$query['id_forum'].""));
$str['mesto'] = 'Написать сообщение';
$str['block'] = $set['site'].' / <a href="index.php">Форум</a>';
include '../style/'.$style.'/head.php';
echo '<div class="where"><b>Написать сообщение</b></div>';
if(empty($query['title']))
{
    echo '<div class="forum1">Тема не найдена!</div>';
    include '../style/'.$style.'/foot.php';
    exit;
}
if($query['status'] == 1)
{
if(isset($_POST['text']) && !empty($_POST['text']))
{
    $flood = mysql_fetch_assoc(mysql_query("select `time` from `forum_posts` where `login` = '".$user['login']."' order by `time` desc limit 1"));	  
 if($flood['time']<(time()-30))
    {
		$text_two = protect($_POST['text_two']);	
		if ($text_two) {
 echo '<div class="q"> ';
			$text_two = '[b]Цитата:[/b]
			[i]' . $text_two . '[/i] 
                                           ';
echo '</div>';			

		}

		
        $text = protect($_POST['text']);
		
        mysql_query("INSERT INTO `forum_posts` (id_forum,id_topic,login,text,time) VALUES (".$q['id'].",".$query['id'].",'".$user['login']."','". $text_two . $text . "',".time().")");
        $ins_id = mysql_insert_id();
        mysql_query("UPDATE `forum_topics` SET `time` = ".time()." WHERE `id` = ".$query['id']."");
        mysql_query("update `users` set `balls`=`balls`+1 where `id` = ".$user['id']."");
        echo '<div class="forum1">Сообщение успешно добавлено!<br />
        <a href="topic.php?id='.$query['id'].'">Перейти &raquo;</a></div>';
        if(!isset($_FILES['files']))
        {
            include '../style/'.$style.'/foot.php';
            exit;
        }

if(isset($_FILES['files']) && !empty($_FILES['files']))
{
    $dir = '../forum/files/'; //Папка в которую загружаем файл

	$file = protect(strtolower(basename($_FILES['files']['name'])));
	$ext = array('gif', 'jpg', 'jpeg', 'bmp', 'png', 'wbmp', 'pic', 'ani', 'pco',
    '3gp', 'mp4', 'avi', 'mpeg', 'rm',
    'thm', 'sdt', 'nth', 'mtf', 'col', 'scs', 'utz',
    'jar', 'jad', 'sis', 'sys', 'sisx',
    'mmf', 'mid', 'amr', 'mp3', 'wav', 'aac', 'seq', 'vox', 'dxm', 'imy', 'emy', 'pmd', 'rng'); //Возможные форматы для загрузки
	$rand = rand(111111, 999999);

	if (!in_array(pathinfo($file, PATHINFO_EXTENSION), $ext))
    {
	   echo '<div class="forum1">Не верный формат файла!</div>';
	   include '../style/'.$style.'/foot.php';
	   exit;
	}
	else
	{
	if (move_uploaded_file($_FILES['files']['tmp_name'], $dir.$rand.'_'.$file))
    {
        mysql_query("UPDATE `forum_posts` SET `url_file` = '".$rand.'_'.$file."' WHERE `id` = ".$ins_id."");
	   echo '<div class="forum1">Файл '.$file.' успешно загружен!</div>';
        include '../style/'.$style.'/foot.php';
	   exit;
    }
	else
    {
	   echo '<div class="forum1">Ошибка при загрузке файла!</div>';
	   include '../style/'.$style.'/foot.php';
	   exit;
	}
	}
    include '../style/'.$style.'/foot.php';
    exit;
}
}
    else
    {
        echo '<div class="where">&raquo; Антифлуд 30 секунд!</div>';
    }
}
	$refid = abs(intval($_GET['refid']));
	$post = mysql_fetch_assoc(mysql_query("SELECT `text` FROM `forum_posts` WHERE `id` = '" . $refid . "'"));
	
    echo '
    <div class="mess">
    <form action="addpost.php?id='.$query['id'].'" method="post" enctype="multipart/form-data"><div>';
    
	if ($refid)
		echo 'Цитата:<br /><textarea cols="22" rows="2" name="text_two" id="text_two">' . $post['text'] . '</textarea></br>';
	echo '
	Сообщение:<br/>
    <textarea cols="22" rows="2" name="text" id="text">';
echo $_GET['to'] ? '[b]'.protect($_GET['to']).'[/b], ' : '';
echo '</textarea><br/>
    Прикрепить файл:<br/>
    <input name="files" type="file" /><br/>
    <input type="submit" value="Написать"/>
    </div></form>
    </div>

    <div class="on2">
    <img class="ico" src="../style/'.$style.'/ico/newpost.png" alt="" />
    <a href="topic.php?id='.$query['id'].'">Назад</a><br/>
    <img class="ico" src="../style/'.$style.'/ico/newpost.png" alt="" />
    <a href="../pages/info.php?act=bbcode">BBcode</a><br/>
    <img class="ico" src="../style/'.$style.'/ico/newpost.png" alt="" />
    <a href="../pages/info.php?act=smiles">Смайлы</a>
    </div>';
}
else
{
    echo '<div class="forum1">Вы не можете писать в закрытую тему!<br />
    <a href="forum.php?id='.$q['id'].'">Назад</a></div>';
}
include '../style/'.$style.'/foot.php';
?>